- name: uninstalling
  community.kubernetes.helm:
    release_name: "{{ cloudstack.plugins.portainer.namespace }}"
    release_state: absent
    release_namespace: "portainer"
    purge: True
    wait: True
    wait_timeout: 10m0s

- name: deleting namespace
  community.kubernetes.k8s:
    name: "{{ cloudstack.plugins.portainer.namespace }}"
    api_version: v1
    kind: Namespace
    state: absent
